Subject: Re: checkout: clarify "up to date with origin/" uses local remote-tracking ref

From: Ben Knoble <[email-masked]>
Date: Tue, 7 Apr 2026 12:13:27 -0400

> 
> Le 7 avr. 2026 à 11:28, Junio C Hamano <[email-masked]> a écrit :
> 
> Jesko Schwarzer <[email-masked]> writes:
> 
>> Would the project consider one of the following?
>>     1. *Clearer messaging*, e.g. indicating that the comparison is
>> against the last-known origin/<branch> (or similar wording that does not
>> imply a live remote check).
> 
> Surely.  Patches to start discussions are very much welcome.
> 
>>     2. *Optional context* when available (e.g. from reflog or last
>> fetch time), so users know how stale the origin/* ref might be — if that
>> is technically and policy-wise acceptable.
> 
> I am imagining that #1 above would add something that conveys
> "relative to the last known state", and this will extend/replace the
> phrase you would choose for "the last known state" with "as of N
> days ago" or something when necessary pieces of information is
> available, right?  That sounds entirely feasible.

I seem to recall a recent (last ~6 months) thread about “last fetch time” and there being some question of how to record it. Alas I haven’t searched the archives to find it.